Name: mkp224o
Version: 1.5.0
Release: 1%{?dist}
Summary: Vanity address generator for tor onion v3 (ed25519) hidden services

License: CC0
URL: https://github.com/cathugger/mkp224o
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: gcc
BuildRequires: pkgconfig(libsodium)


%description
This tool generates vanity ed25519 (hidden service version 3, formely known as
proposal 224) onion addresses.


%prep
%autosetup


%build
./autogen.sh
%configure
%make_build


%install
# No make install target
#make install DESTDIR=%{buildroot}
install -dm0755 %{buildroot}/%{_bindir}
install -m0755 %{name} %{buildroot}/%{_bindir}


%files
%{_bindir}/*
%doc README.txt
%license COPYING.txt



%changelog
* Sun Jul 11 2021  Samuel Rakitničan <samuel.rakitnican@gmail.com> 1.5.0-1
- Initial Build
